Loading...
Searching...
No Matches
android_ioctl.h File Reference

Go to the source code of this file.

## Macros

#define | _IOC_NRBITS 8
#define | _IOC_TYPEBITS 8
#define | _IOC_SIZEBITS 14
#define | _IOC_DIRBITS 2
#define | _IOC_NRMASK ((1 << _IOC_NRBITS) - 1)
#define | _IOC_TYPEMASK ((1 << _IOC_TYPEBITS) - 1)
#define | _IOC_SIZEMASK ((1 << _IOC_SIZEBITS) - 1)
#define | _IOC_DIRMASK ((1 << _IOC_DIRBITS) - 1)
#define | _IOC_NRSHIFT 0
#define | _IOC_TYPESHIFT (_IOC_NRSHIFT + _IOC_NRBITS)
#define | _IOC_SIZESHIFT (_IOC_TYPESHIFT + _IOC_TYPEBITS)
#define | _IOC_DIRSHIFT (_IOC_SIZESHIFT + _IOC_SIZEBITS)
#define | _IOC_NONE 0U
#define | _IOC_WRITE 1U
#define | _IOC_READ 2U
#define | _IOC(dir, type, nr, size)
#define | _IO(type, nr)
#define | _IOR(type, nr, data)
#define | _IOW(type, nr, data)
#define | _IOWR(type, nr, data)
#define | _IOR_BAD(type, nr, data)
#define | _IOW_BAD(type, nr, data)
#define | _IOWR_BAD(type, nr, data)
#define | _IOC_DIR(nr)
#define | _IOC_TYPE(nr)
#define | _IOC_NR(nr)
#define | _IOC_SIZE(nr)
#define | IOC_IN (_IOC_WRITE << _IOC_DIRSHIFT)
#define | IOC_OUT (_IOC_READ << _IOC_DIRSHIFT)
#define | IOC_INOUT ((_IOC_WRITE | _IOC_READ) << _IOC_DIRSHIFT)
#define | IOCSIZE_MASK (_IOC_SIZEMASK << _IOC_SIZESHIFT)
#define | IOCSIZE_SHIFT (_IOC_SIZESHIFT)

## Macro Definition Documentation

## _IOC_NRBITS

#define _IOC_NRBITS 8

Definition at line 4 of file android_ioctl.h.

## _IOC_TYPEBITS

#define _IOC_TYPEBITS 8

Definition at line 5 of file android_ioctl.h.

## _IOC_SIZEBITS

#define _IOC_SIZEBITS 14

Definition at line 6 of file android_ioctl.h.

## _IOC_DIRBITS

#define _IOC_DIRBITS 2

Definition at line 7 of file android_ioctl.h.

## _IOC_NRMASK

#define _IOC_NRMASK ((1 << _IOC_NRBITS) - 1)

Definition at line 9 of file android_ioctl.h.

## _IOC_TYPEMASK

#define _IOC_TYPEMASK ((1 << _IOC_TYPEBITS) - 1)

Definition at line 10 of file android_ioctl.h.

## _IOC_SIZEMASK

#define _IOC_SIZEMASK ((1 << _IOC_SIZEBITS) - 1)

Definition at line 11 of file android_ioctl.h.

## _IOC_DIRMASK

#define _IOC_DIRMASK ((1 << _IOC_DIRBITS) - 1)

Definition at line 12 of file android_ioctl.h.

## _IOC_NRSHIFT

#define _IOC_NRSHIFT 0

Definition at line 14 of file android_ioctl.h.

## _IOC_TYPESHIFT

#define _IOC_TYPESHIFT (_IOC_NRSHIFT + _IOC_NRBITS)

Definition at line 15 of file android_ioctl.h.

## _IOC_SIZESHIFT

#define _IOC_SIZESHIFT (_IOC_TYPESHIFT + _IOC_TYPEBITS)

Definition at line 16 of file android_ioctl.h.

## _IOC_DIRSHIFT

#define _IOC_DIRSHIFT (_IOC_SIZESHIFT + _IOC_SIZEBITS)

Definition at line 17 of file android_ioctl.h.

## _IOC_NONE

#define _IOC_NONE 0U

Definition at line 19 of file android_ioctl.h.

## _IOC_WRITE

#define _IOC_WRITE 1U

Definition at line 20 of file android_ioctl.h.

## _IOC_READ

#define _IOC_READ 2U

Definition at line 21 of file android_ioctl.h.

## _IOC

#define _IOC | ( |  | dir,
|  |  | type,
|  |  | nr,
|  |  | size )

Value:
(((dir) << _IOC_DIRSHIFT) | ((type) << _IOC_TYPESHIFT) | ((nr) << _IOC_NRSHIFT) | ((size) << _IOC_SIZESHIFT))
_IOC_DIRSHIFT
#define _IOC_DIRSHIFT
Definition android_ioctl.h:17
_IOC_TYPESHIFT
#define _IOC_TYPESHIFT
Definition android_ioctl.h:15
_IOC_SIZESHIFT
#define _IOC_SIZESHIFT
Definition android_ioctl.h:16
_IOC_NRSHIFT
#define _IOC_NRSHIFT
Definition android_ioctl.h:14

Definition at line 23 of file android_ioctl.h.

## _IO

#define _IO | ( |  | type,
|  |  | nr )

Value:
_IOC(_IOC_NONE, (type), (nr), 0)
_IOC_NONE
#define _IOC_NONE
Definition android_ioctl.h:19
_IOC
#define _IOC(dir, type, nr, size)
Definition android_ioctl.h:23

Definition at line 25 of file android_ioctl.h.

## _IOR

#define _IOR | ( |  | type,
|  |  | nr,
|  |  | data )

Value:
_IOC(_IOC_READ, (type), (nr), (sizeof(data)))
_IOC_READ
#define _IOC_READ
Definition android_ioctl.h:21

Definition at line 26 of file android_ioctl.h.

## _IOW

#define _IOW | ( |  | type,
|  |  | nr,
|  |  | data )

Value:
_IOC(_IOC_WRITE, (type), (nr), (sizeof(data)))
_IOC_WRITE
#define _IOC_WRITE
Definition android_ioctl.h:20

Definition at line 27 of file android_ioctl.h.

## _IOWR

#define _IOWR | ( |  | type,
|  |  | nr,
|  |  | data )

Value:
_IOC(_IOC_READ | _IOC_WRITE, (type), (nr), (sizeof(data)))

Definition at line 28 of file android_ioctl.h.

## _IOR_BAD

#define _IOR_BAD | ( |  | type,
|  |  | nr,
|  |  | data )

Value:
_IOC(_IOC_READ, (type), (nr), sizeof(data))

Definition at line 30 of file android_ioctl.h.

## _IOW_BAD

#define _IOW_BAD | ( |  | type,
|  |  | nr,
|  |  | data )

Value:
_IOC(_IOC_WRITE, (type), (nr), sizeof(data))

Definition at line 31 of file android_ioctl.h.

## _IOWR_BAD

#define _IOWR_BAD | ( |  | type,
|  |  | nr,
|  |  | data )

Value:
_IOC(_IOC_READ | _IOC_WRITE, (type), (nr), sizeof(data))

Definition at line 32 of file android_ioctl.h.

## _IOC_DIR

#define _IOC_DIR | ( |  | nr | ) |

Value:
(((nr) >> _IOC_DIRSHIFT) & _IOC_DIRMASK)
_IOC_DIRMASK
#define _IOC_DIRMASK
Definition android_ioctl.h:12

Definition at line 34 of file android_ioctl.h.

## _IOC_TYPE

#define _IOC_TYPE | ( |  | nr | ) |

Value:
(((nr) >> _IOC_TYPESHIFT) & _IOC_TYPEMASK)
_IOC_TYPEMASK
#define _IOC_TYPEMASK
Definition android_ioctl.h:10

Definition at line 35 of file android_ioctl.h.

## _IOC_NR

#define _IOC_NR | ( |  | nr | ) |

Value:
(((nr) >> _IOC_NRSHIFT) & _IOC_NRMASK)
_IOC_NRMASK
#define _IOC_NRMASK
Definition android_ioctl.h:9

Definition at line 36 of file android_ioctl.h.

## _IOC_SIZE

#define _IOC_SIZE | ( |  | nr | ) |

Value:
(((nr) >> _IOC_SIZESHIFT) & _IOC_SIZEMASK)
_IOC_SIZEMASK
#define _IOC_SIZEMASK
Definition android_ioctl.h:11

Definition at line 37 of file android_ioctl.h.

## IOC_IN

#define IOC_IN (_IOC_WRITE << _IOC_DIRSHIFT)

Definition at line 39 of file android_ioctl.h.

## IOC_OUT

#define IOC_OUT (_IOC_READ << _IOC_DIRSHIFT)

Definition at line 40 of file android_ioctl.h.

## IOC_INOUT

#define IOC_INOUT ((_IOC_WRITE | _IOC_READ) << _IOC_DIRSHIFT)

Definition at line 41 of file android_ioctl.h.

## IOCSIZE_MASK

#define IOCSIZE_MASK (_IOC_SIZEMASK << _IOC_SIZESHIFT)

Definition at line 42 of file android_ioctl.h.

## IOCSIZE_SHIFT

#define IOCSIZE_SHIFT (_IOC_SIZESHIFT)

Definition at line 43 of file android_ioctl.h.